Name:           mm-common
Version:        1.0.2
Release:        1
Summary:        Provides build infrastructure, utilities for GNOME C++ binding libraries

BuildArch:      noarch
License:        GPLv2+
URL:            http://gtkmm.org
Source0:        http://download.gnome.org/sources/%{name}/1.0/%{name}-%{version}.tar.xz

BuildRequires:  meson

Requires:       pkgconfig  graphviz doxygen libxslt

%description
The mm-common module provides the build infrastructure and utilities
shared among the GNOME C++ binding libraries.

%package docs
Summary:        Documentation for %{name}, includes example mm module skeleton
Requires:       %{name} = %{version}-%{release}

%description docs
Package contains short documentation for %{name} and example skeleton module,
which could be used as a base for new mm module.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%doc NEWS AUTHORS
%{_bindir}/*
%{_datadir}/aclocal/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pkgconfig/*.pc

%files docs
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*
%{_mandir}/man1/*

%changelog
* Fri Jun 18 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 1.0.2-1
- Package init with version 1.0.2
